Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class DatastoreServiceConfig.Builder

    java.lang.Object
      com.google.appengine.api.datastore.DatastoreServiceConfig.Builder

Enclosing class:
  DatastoreServiceConfig

    public static final class DatastoreServiceConfig.Builder

extends java.lang.Object

Contains static creation methods for `DatastoreServiceConfig`.

Method Summary
`static DatastoreServiceConfig` | `withDeadline(double deadline)` Create a `DatastoreServiceConfig` with the given deadline, in seconds.
`static DatastoreServiceConfig` | `withDefaults()` Helper method for creating a `DatastoreServiceConfig` instance with default values: Implicit transactions are disabled, reads execute with `ReadPolicy.Consistency.STRONG`, and no deadline is provided.
`static DatastoreServiceConfig` | `withImplicitTransactionManagementPolicy(ImplicitTransactionManagementPolicy p)` Create a `DatastoreServiceConfig` with the given implicit transaction management policy.
`static DatastoreServiceConfig` | `withMaxEntityGroupsPerRpc(int maxEntityGroupsPerRpc)` Create a `DatastoreServiceConfig` with the given maximum entity groups per rpc.
`static DatastoreServiceConfig` | `withReadPolicy(ReadPolicy readPolicy)` Create a `DatastoreServiceConfig` with the given read policy.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### withImplicitTransactionManagementPolicy

    public static DatastoreServiceConfig withImplicitTransactionManagementPolicy(ImplicitTransactionManagementPolicy p)

  Create a `DatastoreServiceConfig` with the given implicit transaction management policy.

  Parameters:
    `p` - the implicit transaction management policy to set.
  Returns:
    The newly created DatastoreServiceConfig instance.

### withReadPolicy

    public static DatastoreServiceConfig withReadPolicy(ReadPolicy readPolicy)

  Create a `DatastoreServiceConfig` with the given read policy.

  Parameters:
    `readPolicy` - the read policy to set.
  Returns:
    The newly created DatastoreServiceConfig instance.

### withDeadline

    public static DatastoreServiceConfig withDeadline(double deadline)

  Create a `DatastoreServiceConfig` with the given deadline, in seconds.

  Parameters:
    `deadline` - the deadline to set.
  Returns:
    The newly created DatastoreServiceConfig instance.
  Throws:
    `java.lang.IllegalArgumentException` - if deadline is not positive

### withMaxEntityGroupsPerRpc

    public static DatastoreServiceConfig withMaxEntityGroupsPerRpc(int maxEntityGroupsPerRpc)

  Create a `DatastoreServiceConfig` with the given maximum entity groups per rpc.

  Parameters:
    `maxEntityGroupsPerRpc` - the maximum entity groups per rpc to set.
  Returns:
    The newly created DatastoreServiceConfig instance.
  See Also:
    `DatastoreServiceConfig#maxEntityGroupsPerRpc(int)}`

### withDefaults

    public static DatastoreServiceConfig withDefaults()

  Helper method for creating a `DatastoreServiceConfig` instance with default values: Implicit transactions are disabled, reads execute with `ReadPolicy.Consistency.STRONG`, and no deadline is provided. When no deadline is provided, datastore rpcs execute with the system-defined deadline.

  Returns:
    The newly created DatastoreServiceConfig instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD